NX Open C++ Reference Guide
|
Represents a @link Features::OffsetMoveCurve Features::OffsetMoveCurve@endlink builder <br> To create a new instance of this class, use @link Features::SynchronousCurveCollection::CreateOffsetMoveCurveBuilder Features::SynchronousCurveCollection::CreateOffsetMoveCurveBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | AddCurveSenseToMap (NXOpen::NXObject *curve, int curveSense) |
This function add the selected curve and its sense into the curve_sense_map when select a new curve Created in NX9.0.0. | |
NXOpen::Features::CurveFinderBuilder * | CurveFinder () |
Returns the curve finder Created in NX9.0.0. | |
NXOpen::Expression * | Distance () |
Returns the offset distance Created in NX9.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX9.0.0. | |
void | RemoveCurveSenseFromMap (NXOpen::NXObject *curve) |
This function remove a curve and its sense from the curve_sense_map when deselect a curve Created in NX9.0.0. | |
bool | ReverseOffsetDirection () |
Returns the reverse offset direction Created in NX9.0.0. | |
void | ReverseOffsetDirectionOfLoop (NXOpen::NXObject *objectInLoop) |
This function reverses the offset direction of the loop containing the input curve Created in NX9.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX9.0.0. | |
void | SetReverseOffsetDirection (bool reverseOffsetDirection) |
Sets the reverse offset direction Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::OffsetMoveCurve Features::OffsetMoveCurve@endlink builder <br> To create a new instance of this class, use @link Features::SynchronousCurveCollection::CreateOffsetMoveCurveBuilder Features::SynchronousCurveCollection::CreateOffsetMoveCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurveFinder.CollinearEnabled |
0 |
CurveFinder.ConcentricEnabled |
0 |
CurveFinder.EqualRadiusEnabled |
0 |
CurveFinder.ParallelEnabled |
0 |
CurveFinder.SymmetricEnabled |
0 |
CurveFinder.TangentEnabled |
0 |
CurveFinder.UseCurveFinder |
1 |
Distance.Value |
0 (millimeters part), 0 (inches part) |
Created in NX9.0.0.
void NXOpen::Features::OffsetMoveCurveBuilder::AddCurveSenseToMap | ( | NXOpen::NXObject * | curve, |
int | curveSense | ||
) |
This function add the selected curve and its sense into the curve_sense_map when select a new curve
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | A new selected curve |
curveSense | The sense of the selected curve |
NXOpen::Features::CurveFinderBuilder* NXOpen::Features::OffsetMoveCurveBuilder::CurveFinder | ( | ) |
Returns the curve finder
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::OffsetMoveCurveBuilder::Distance | ( | ) |
Returns the offset distance
Created in NX9.0.0.
License requirements : None
double NXOpen::Features::OffsetMoveCurveBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::OffsetMoveCurveBuilder::RemoveCurveSenseFromMap | ( | NXOpen::NXObject * | curve | ) |
This function remove a curve and its sense from the curve_sense_map when deselect a curve
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curve | A removed curve |
bool NXOpen::Features::OffsetMoveCurveBuilder::ReverseOffsetDirection | ( | ) |
Returns the reverse offset direction
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::OffsetMoveCurveBuilder::ReverseOffsetDirectionOfLoop | ( | NXOpen::NXObject * | objectInLoop | ) |
This function reverses the offset direction of the loop containing the input curve
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
objectInLoop | A curve in loop to reverse |
void NXOpen::Features::OffsetMoveCurveBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::OffsetMoveCurveBuilder::SetReverseOffsetDirection | ( | bool | reverseOffsetDirection | ) |
Sets the reverse offset direction
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseOffsetDirection | reverseoffsetdirection |